MODULE dom_ice_2
   !!======================================================================
   !!                   ***  MODULE  dom_ice  ***
   !! LIM 2.0 Sea Ice :   Domain  variables
   !!======================================================================
   !! History :   1.0  !  2003-08  (C. Ethe)  Free form and module
   !!             3.3  !  2009-05 (G.Garric, C. Bricaud) addition of lim2_evp case
   !!----------------------------------------------------------------------
#if defined   key_lim2
   !!----------------------------------------------------------------------
   !!   'key_lim2'                                       LIM2 sea-ice model
   !!----------------------------------------------------------------------
   USE par_ice_2

   IMPLICIT NONE
   PRIVATE

   LOGICAL, PUBLIC ::   l_jeq     = .TRUE.     !: Equator inside the domain flag

   INTEGER, PUBLIC ::   njeq , njeqm1          !: j-index of the equator if it is inside the domain
   !                                           !  (otherwise = jpj+10 (SH) or -10 (SH) )

   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   fs2cor , fcor     !: coriolis factor and coeficient
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   covrai ,          !: sine of geographic latitude
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   area   ,          !: surface of grid cell 
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   tms    , tmu      !: temperature and velocity points masks
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2)     ::   wght              !: weight of the 4 neighbours to compute averages

# if defined key_lim2_vp
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2)     ::   akappa , bkappa   !: first and third group of metric coefficients
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2,2,2) ::   alambd            !: second group of metric coefficients
# else
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   tmv    , tmf      !: y-velocity and F-points masks
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)         ::   tmi               !: ice mask: =1 if ice thick > 0
# endif

#else
   !!----------------------------------------------------------------------
   !!   Default option          Empty module         NO LIM-2 sea-ice model
   !!----------------------------------------------------------------------
#endif

   !!----------------------------------------------------------------------
   !! NEMO/LIM2 3.3, UCL-LOCEAN-IPSL (2010)
   !! $Id$
   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
   !!======================================================================
END MODULE dom_ice_2
